Create a canonical durable run
curl --request POST \
--url https://api.veryfront.com/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "agent",
"owner": {
"kind": "conversation",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"request": {
"mode": "agent",
"agent_id": "<string>",
"implementation_kind": "<string>",
"worker_key": "<string>",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"public_id": "<string>",
"parent_run_id": "<string>",
"trigger": {
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_call_id": "<string>"
},
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.veryfront.com/runs"
payload = {
"kind": "agent",
"owner": {
"kind": "conversation",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"request": {
"mode": "agent",
"agent_id": "<string>",
"implementation_kind": "<string>",
"worker_key": "<string>",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"public_id": "<string>",
"parent_run_id": "<string>",
"trigger": {
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_call_id": "<string>"
},
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'agent',
owner: {kind: 'conversation', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
request: {
mode: 'agent',
agent_id: '<string>',
implementation_kind: '<string>',
worker_key: '<string>',
source_target_environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_target_branch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_target_release_version: '<string>',
runtime_target_environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runtime_target_branch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
public_id: '<string>',
parent_run_id: '<string>',
trigger: {
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tool_call_id: '<string>'
},
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.veryfront.com/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": true,
"run": {
"run_id": "<string>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage": {
"requests": 1,
"input_tokens": 1,
"output_tokens": 1,
"cache_creation_input_tokens": 1,
"cache_read_input_tokens": 1,
"reasoning_tokens": 1,
"cost_credits": 123
},
"parent_run_id": "<string>",
"root_run_id": "<string>",
"target": "<string>",
"workflow_id": "<string>",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": {
"message": "<string>",
"code": "<string>"
},
"logs": "<string>",
"artifacts": [
null
],
"duration_ms": 123,
"exit_code": 123,
"start_mode": "<string>",
"timeout_seconds": 123,
"backoff_limit": 123,
"trigger_id": "<string>",
"created_by": "<string>",
"updated_at": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"metadata": null,
"input": null,
"config": null,
"output": null
},
"duplicate": true,
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Creates a canonical durable run for an owner scope and returns the accepted run envelope.
POST
/
runs
Create a canonical durable run
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
- agent
- workflow
- task
- eval
Available options:
agent - Option 1
- Option 2
Show child attributes
Show child attributes
- RuntimeAgentRequest
- HostedDefaultChatAgentRequest
- ProjectAgentStreamAgentRequest
Show child attributes
Show child attributes
Required string length:
1 - 128Required string length:
1 - 128Show child attributes
Show child attributes
Available options:
create_new, existing, none ⌘I